package com.jiaoyinbrother.monkeyking.manager.activity

import android.content.Intent
import android.net.Uri
import com.jiaoyinbrother.monkeyking.manager.mvpactivity.order.delivercar.fragments.contract.WBH5FaceVerifySDK
import com.tencent.smtt.sdk.ValueCallback
import com.tencent.smtt.sdk.WebChromeClient
import com.tencent.smtt.sdk.WebView


/**
 * @author zhangbo
 * @date 2020/4/26
 * Email : b.zhang@wkzuche.com
 * Describe: 发大大网页（目前针对扫脸）
 */
class FaDDWebViewActivity : GeneralWebViewActivity() {

    override fun initView() {
        super.initView()
        WBH5FaceVerifySDK.getInstance().setWebViewSettings(mWebView, applicationContext);
    }

    override fun openFileChooser(uploadMsg: ValueCallback<Uri>?, acceptType: String?) {
        super.openFileChooser(uploadMsg, acceptType)

        if (WBH5FaceVerifySDK.getInstance().recordVideoForApiBelow21(uploadMsg,
                        acceptType, this)) {
            return
        }

    }

//    fun openFileChooser(uploadMsg: ValueCallback<Uri?>?, acceptType: String?, capture: String?) {
//        super.openFileChooser(uploadMsg, acceptType)
//        if (WBH5FaceVerifySDK.getInstance().recordVideoForApiBelow21(uploadMsg,
//                        acceptType, this)) {
//            return
//        }
//    }

    override fun onShowFileChooser(view: WebView?, filePath: ValueCallback<Array<Uri>>?, fileChooserParams: WebChromeClient.FileChooserParams?): Boolean {

        if(WBH5FaceVerifySDK.getInstance().recordVideoForApi21(view,
                        filePath,this, fileChooserParams)){
            return true
        }

        return super.onShowFileChooser(view, filePath, fileChooserParams)
    }

    override fun onActivityResult(requestCode: Int, resultCode: Int, intent: Intent?) {

        if (WBH5FaceVerifySDK.getInstance().receiveH5FaceVerifyResult(requestCode,resultCode,intent)){

            return
        }


        super.onActivityResult(requestCode, resultCode, intent)
    }
}