package com.jiaoyinbrother.monkeyking.manager.activity

import android.content.Context
import android.content.Intent
import com.jiaoyinbrother.library.base.BaseActivity
import com.jiaoyinbrother.library.bean.WebViewConfigEntity
import com.jiaoyinbrother.monkeyking.manager.CarEntity
import com.jiaoyinbrother.monkeyking.manager.R
import kotlinx.android.synthetic.main.activity_safe_center.*
import java.util.*

class SafeCenterActivity : BaseActivity() {


    override fun getLayoutId(): Int {
        return R.layout.activity_safe_center
    }

    override fun initView() {
    }

    override fun initToolBar() {
        mainTitle.text = "安全中心"
    }

    override fun initData() {
    }

    override fun initListeners() {
        safety_privacy_agree.setOnClickListener {

            val webViewConfigEntity = WebViewConfigEntity()
            webViewConfigEntity.title = "隐私协议"
            webViewConfigEntity.url = "file:///android_asset/PrivacyStatement.html"
            webViewConfigEntity.isNeedProgressBar = true
            val intent = Intent(this, GeneralWebViewActivity::class.java)
            intent.putExtra(CarEntity.FEATURE_ITEM, webViewConfigEntity)
            startActivity(intent)
        }
    }

    companion object {

        fun newInstance(context: Context) {
            val intent = Intent(context, SafeCenterActivity::class.java)
            context.startActivity(intent)
        }
    }
}