package com.jiaoyinbrother.monkeyking.manager.adapter

import android.view.View
import android.widget.TextView
import com.camnter.easyrecyclerview.adapter.EasyRecyclerViewAdapter
import com.camnter.easyrecyclerview.holder.EasyRecyclerViewHolder
import com.jiaoyinbrother.library.bean.CostDate
import com.jiaoyinbrother.monkeyking.manager.R

class CostCalendarAdapter: EasyRecyclerViewAdapter() {


    override fun getRecycleViewItemType(position: Int): Int {
        return 0
    }


    override fun getItemLayouts(): IntArray {
        return intArrayOf(R.layout.item_cost_calendar)
    }

    override fun onBindRecycleViewHolder(viewHolder: EasyRecyclerViewHolder?, position: Int) {
        val date_tv = viewHolder?.findViewById<TextView>(R.id.date_tv)
        val price_tv = viewHolder?.findViewById<TextView>(R.id.price_tv)

        val dataList = list as List<CostDate>
        val costDate = dataList?.get(position)

        date_tv?.text = costDate?.date?:""
        price_tv?.visibility = if(costDate?.price > -1) View.VISIBLE else View.GONE
        price_tv?.text =  "¥"+costDate?.price?.toString()
    }

}