package com.jiaoyinbrother.monkeyking.manager.adapter

import android.annotation.SuppressLint
import android.content.Context
import android.widget.ImageView
import android.widget.TextView
import com.bumptech.glide.Glide

import com.camnter.easyrecyclerview.adapter.EasyRecyclerViewAdapter
import com.camnter.easyrecyclerview.holder.EasyRecyclerViewHolder
import com.jiaoyinbrother.monkeyking.manager.R
import com.jiaoyinbrother.library.bean.CarValidatesBean

class KnownIssueAdapter(private val context: Context) : EasyRecyclerViewAdapter() {

    override fun getItemLayouts(): IntArray {
        return intArrayOf(R.layout.item_known_issue)
    }

    @SuppressLint("SetTextI18n")
    override fun onBindRecycleViewHolder(holder: EasyRecyclerViewHolder, position: Int) {
        val entity = list[position] as CarValidatesBean

        val mTvIssueName = holder.findViewById<TextView>(R.id.issueName)
        mTvIssueName.text = "车身位置：${entity.position_name}"

        val mIvIssuePic = holder.findViewById<ImageView>(R.id.issuePic)
        if(mIvIssuePic!=null)
            Glide.with(context).load(entity.image).placeholder(R.mipmap.bg_place_image).into(mIvIssuePic)

        val mTvIssueInfo = holder.findViewById<TextView>(R.id.issueInfo)
        mTvIssueInfo.text = entity.type_name
    }

    override fun getRecycleViewItemType(i: Int): Int {
        return 0
    }
}
