package com.jiaoyinbrother.monkeyking.manager.fragment.ordercancelworkflowlist

import android.os.Bundle
import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.OrderCancelWorkListRowBean
import com.jiaoyinbrother.library.bean.OrderReletApplyListRowsBean
import com.jiaoyinbrother.library.view.IBaseView

class IOrderCancelWorkFlowListContract{
    interface View : IBaseView {
        fun finishRefresh()
        fun finishLoadMore()
        fun finishLoadMoreWithNoMoreData()
        fun finishRefreshWithNoMoreData()
        fun setEnableLoadMore(b:Boolean)

        fun showListData(list:List<OrderCancelWorkListRowBean>)
        fun showNoDataView()
        fun showNoNetView()

    }

    interface Presenter : IBasePresenter {
        fun getIntentData(arguments: Bundle?)

        fun onItemClicked(orderReletID: Int)
        fun onChargeClicked(orderReletID:Int)
        fun onFreeClicked(orderReletID:Int)

        fun onRefresh()
        fun onLoadMore()

        fun onSort(type: Int?, b: Boolean)

    }
}

