package com.jiaoyinbrother.monkeyking.manager.mvpactivity.checkcar

import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.CarValidatesBean
import com.jiaoyinbrother.library.bean.OrderDetailResult
import com.jiaoyinbrother.library.view.IBaseView

interface ICheckCarContract {

    interface View : IBaseView {
        fun setOrderNum(num: String)
        fun setOrderChannel(channel: String)
        fun setCarNum(num: String)
        fun setCarTypeName(name: String)
        fun setRealTakeTime(title: String, time: String)
        fun setRealRefundTime(title: String, time: String)
        fun hideOilShowElectric(isOil: Boolean)
        fun setTakeMiles(miles: String)
        fun setRefundMiles(show: Boolean, miles: String)
        fun setTakeOil(scale: Int, oilMass: String)
        fun setRefundOil(show: Boolean, scale: Int, oilMass: String)
        fun setTakeElectric(electric: String)
        fun setRefundElectric(show: Boolean, electric: String)
        fun setTakeItems(states: ArrayList<String>)
        fun setRefundItems(states: ArrayList<String>)
//        fun setGroupPhoto(url: String)
//        fun setTakeOilPhoto(url: String)
//        fun setRefundOilPhoto(show: Boolean, url: String)
        fun setIssuesContent(isCarAlso: Boolean)
        fun setIssues(hide: Boolean, validates: ArrayList<CarValidatesBean>)
        fun setComment(hide: Boolean, comment: String)
        fun setSign(hide: Boolean, url: String)
    }

    interface Presenter : IBasePresenter {
        fun getOrderInfo(result: OrderDetailResult)
        fun onCheckCarPic()
//        fun onSeeBigImage(type: Int)
    }
}