package com.jiaoyinbrother.monkeyking.manager.mvpactivity.choosesite

import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.ChooseSiteBean
import com.jiaoyinbrother.library.view.IBaseView

interface IChooseSiteContract {

    interface IChooseSiteView : IBaseView{
        fun setList(list : ArrayList<ChooseSiteBean>)

        fun onRefreshEnd()

        fun onLoadMoreEnd()

    }

    interface IChooseSitePresenter : IBasePresenter{

        fun getChooseSiteList(page : Int)
        fun setDefaultPosition(position : Int)
    }

}