package com.jiaoyinbrother.monkeyking.manager.mvpactivity.codepay

import android.content.Intent
import android.graphics.Bitmap
import android.net.Uri
import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.view.IBaseView

interface IQRCodePayContract {


    interface View: IBaseView {

        fun setDepositType(type:String)
        fun setDepositAmount(amount:String)
        fun setDepositQrCode(url:String?)
        fun setDepositQrCode(url: Bitmap?)
        fun setMethodVisible(type:Int)
        fun setDescription(desc:String)
        fun setBankCardChecked()
        fun setWeChatChecked()
        fun setAliChecked()
        fun setGuaranteeChecked()
        fun setResult(name:String)
    }

    interface Presenter: IBasePresenter {
        fun getData(intent: Intent)
        fun doDepositQRCode(type:Int)
        fun onDestroy()
    }
}