package com.jiaoyinbrother.monkeyking.manager.mvpactivity.commentreply

import android.content.Intent
import android.widget.EditText
import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.view.IBaseView

interface ICommentReplyContract{

    interface ICommentReplyView : IBaseView {
        fun onSuccess()
        fun setEditTextContentLength(num : String)
    }

    interface ICommentReplyPresenter : IBasePresenter {
        fun sendReply(content:String?)
        fun initMarksId(intent: Intent)
        fun setEditWatcher(editText: EditText)
    }
}
