package com.jiaoyinbrother.monkeyking.manager.mvpactivity.console.create

import android.content.Intent
import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.CarTypeSearchRowsBean
import com.jiaoyinbrother.library.view.IBaseView

interface ICarCreateContract {


    interface View : IBaseView {
        fun setFrontLicense(uri: String)
        fun setFrontLicenseShow()
        fun setPlateNumber(s: String)
        fun setRegisterDate(date: String)
        fun setEngineNo(s: String)
        fun setVIN(s: String)
        fun setCarTypeName(s: String)
        fun setMileage(s: String)
        fun setMaintenanceMileage(s: String)
        fun setCarColor(s: String)
        fun setBackLicense(uri: String)
        fun setBackLicenseDelete(b: Boolean)
        fun setActiveSubmit(b: Boolean)
        fun setPageFinish()
    }

    interface Presenter : IBasePresenter {
        fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?)
        fun doFrontLicense()
        fun doWatcherNumber(s: String)
        fun doRegisterDate(date: String)
        fun doWatcherEngineNo(s: String)
        fun doWatcherVin(s: String)
        fun doCarType(b: CarTypeSearchRowsBean)
        fun doWatcherMileage(s: String)
        fun doWatcherMaintenanceMileage(s: String)
        fun doCarColor()
        fun doBackLicense()
        fun doDeleteBackLicense()
        fun doCreateCar()
        fun isEdited(): Boolean

        fun apiSystemColor()


    }
}