package com.jiaoyinbrother.monkeyking.manager.mvpactivity.console.price

import android.widget.TextView
import com.camnter.easyrecyclerview.adapter.EasyRecyclerViewAdapter
import com.camnter.easyrecyclerview.holder.EasyRecyclerViewHolder
import com.jiaoyinbrother.library.bean.PriceCarBean
import com.jiaoyinbrother.monkeyking.manager.R

class CarPriceManagerAdapter : EasyRecyclerViewAdapter() {

    override fun getItemLayouts(): IntArray {
        return intArrayOf(R.layout.item_car_price_manger)
    }

    override fun getRecycleViewItemType(position: Int): Int {
        return 0
    }

    override fun onBindRecycleViewHolder(viewHolder: EasyRecyclerViewHolder?, position: Int) {
        viewHolder?.let {
            val tvCarName = it.findViewById<TextView>(R.id.tv_car_name)
            val tvCarNumber = it.findViewById<TextView>(R.id.tv_car_number)
            val tvCarConfig = it.findViewById<TextView>(R.id.tv_car_config)
            val tvChangePrice = it.findViewById<TextView>(R.id.tv_change_price)
            val tvCarTime = it.findViewById<TextView>(R.id.tv_car_time)
            val entity = list[position] as? PriceCarBean
            tvCarName?.text = entity?.car_type_name ?: ""
            tvCarNumber?.text = "车辆库存：${entity?.auth_number}辆"
            tvCarConfig?.text = entity?.base_config ?: ""
            tvCarTime?.text = "${entity?.update_price_time ?: ""} 更新"
            tvChangePrice?.setOnClickListener {
                itemClickListener?.invoke(entity, position)
            }
        }
    }

    var itemClickListener: ((PriceCarBean?, Int) -> Unit)? = null
}
