package com.jiaoyinbrother.monkeyking.manager.mvpactivity.dataanalysis.comment

import android.support.v4.app.FragmentManager
import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.OrderStatsBean
import com.jiaoyinbrother.library.bean.SiteMarkResult
import com.jiaoyinbrother.library.view.IBaseView

class ICommentDataAnalysisContract {

    interface View : IBaseView {
        fun updateView()
        fun showTime(time: String)
        fun showRating(response: SiteMarkResult)
    }

    interface Presenter : IBasePresenter {
        var data_type:String
        var site_id: String?
        var day_start_time:Long
        var week_start_time:Long
        var week_end_time:Long
        var month_start_time:Long
        val list:MutableList<OrderStatsBean>
        fun refresh()
        fun setDataType(type: String)
        fun getData()
        fun initData()
        fun datetimeDialog(fragmentManager: FragmentManager)
    }
}