package com.jiaoyinbrother.monkeyking.manager.mvpactivity.dataanalysis.sales

import android.support.constraint.ConstraintLayout
import android.support.v4.content.ContextCompat
import android.widget.TextView
import com.camnter.easyrecyclerview.adapter.EasyRecyclerViewAdapter
import com.camnter.easyrecyclerview.holder.EasyRecyclerViewHolder
import com.jiaoyinbrother.library.bean.OrderStatsBean
import com.jiaoyinbrother.monkeyking.manager.R

class SalesAnalysisAdapter : EasyRecyclerViewAdapter() {


    override fun getRecycleViewItemType(position: Int): Int {
        return if (position == 0) 0 else 1
    }

    override fun onBindRecycleViewHolder(viewHolder: EasyRecyclerViewHolder?, position: Int) {
        val itemType = getRecycleViewItemType(position)
        if (itemType != 0) {
            viewHolder?.let {
                val mRank = it.findViewById<TextView>(R.id.item_sales_ranking)
                val mName = it.findViewById<TextView>(R.id.item_sales_name)
                val mCount = it.findViewById<TextView>(R.id.item_sales_count)
                val mRoot = it.findViewById<ConstraintLayout>(R.id.item_sales_root)
                // 内容
                val entity = list[position] as OrderStatsBean
                mRoot?.setBackgroundColor(
                    if (position % 2 == 0)
                        ContextCompat.getColor(it.itemView.context, R.color.color_0)
                    else
                        ContextCompat.getColor(it.itemView.context, R.color.color_f5f5f5)
                )
                // 标题
                mRank?.text = "$position"
                mName?.text = "${entity.car_type_name}(${entity.base_config})"
                mCount?.text = "${entity.sum}单"
            }
        }

    }

    override fun getItemLayouts(): IntArray {
        return intArrayOf(
            R.layout.item_data_analysis_sales_title,
            R.layout.item_data_analysis_sales
        )
    }
}