package com.jiaoyinbrother.monkeyking.manager.mvpactivity.order.delivercar.fragments.fourth

import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.OrderDetailResult
import com.jiaoyinbrother.library.bean.OrderExecuteRequest
import com.jiaoyinbrother.library.view.IBaseView

interface IDeliverCarFourthContract{
    interface View : IBaseView {

        fun setTipsForContract(title:String,content:ArrayList<String>)
        fun setTipsForDeposit(title:String,content:ArrayList<String>)
        fun setTipsForInsurance(title:String,content:ArrayList<String>)
        fun setTipsForUseCar(title:String,content:ArrayList<String>)
        fun setTipsForComment(title:String,content:ArrayList<String>)

        fun setOwnerConfirmCheckBoxText(text:String)
        fun enableNext(b:Boolean)

        fun getCheckBoxStatus():Boolean
        fun setCheckBoxStatus(b:Boolean)

        fun finishActivity()

        fun onSchoolBack(b:Boolean)
        fun onNormalBack(b:Boolean)

    }

    interface Presenter : IBasePresenter {
        fun onNext(orderExecuteRequest: OrderExecuteRequest)
        fun onBackPressed()
        fun getData()

        fun onCheckBoxChanged()
        fun setOrderInfo(result: OrderDetailResult)

    }
}
