package com.jiaoyinbrother.monkeyking.manager.mvpactivity.order.delivercar.fragments.main

import android.os.Bundle
import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.OrderDetailResult
import com.jiaoyinbrother.library.view.IBaseView

interface IDeliverCarMainContract {
    interface View : IBaseView {

        fun initFragmentPagesWithSchool()
        fun initFragmentPagesWithoutSchool()

        fun setOrderInfoWithSchool(result: OrderDetailResult)
        fun setOrderInfoWithoutSchool(result: OrderDetailResult)
    }

    interface Presenter : IBasePresenter {
        fun argumentsData(b: Bundle)
        fun requestOrderInfo()
        fun apiRegisterContract(orderId: String)
        fun isStudent(): Boolean
    }
}
