package com.jiaoyinbrother.monkeyking.manager.mvpactivity.order.issuedetail

import android.arch.lifecycle.Observer
import android.text.TextUtils
import com.bumptech.glide.Glide
import com.jeremyliao.livedatabus.LiveDataBus
import com.jiaoyinbrother.monkeyking.manager.R
import com.jiaoyinbrother.monkeyking.manager.activity.ShowBigImageActivity
import com.jiaoyinbrother.library.base.BaseActivity
import com.jiaoyinbrother.library.bean.CarValidatesBean
import com.jiaoyinbrother.library.util.ConstantsUtil
import com.jiaoyinbrother.library.util.LogUtil

import kotlinx.android.synthetic.main.activity_issue_detail_actiivty.*

class IssueDetailActivity : BaseActivity() {
    override fun getLayoutId(): Int {
        return R.layout.activity_issue_detail_actiivty
    }

    override fun initView() {

    }

    override fun initToolBar() {
        mainTitle?.text = "验车图片"
    }

    override fun initData() {
        LiveDataBus.get().with(ConstantsUtil.LIVEDATA_ORDER_ISSUE_DDTAIL).observeSticky(this, Observer{
            var issue = it as CarValidatesBean
            LogUtil.e("issue = " + issue.toString())

            initUI(issue)
        })
    }

    private fun initUI(issue:CarValidatesBean) {
        Glide.with(this).load(issue.image).into(issue_image)

        imageUrl = issue.image
        info1_text.text = issue.position_name
        info2_text.text = issue.type_name
        info3_text.text = issue.comments
    }

    private var imageUrl:String? = null
    override fun initListeners() {
        issue_image.setOnClickListener {
            if(!TextUtils.isEmpty(imageUrl))
                ShowBigImageActivity.newInstanceUri(this, imageUrl!!, false)
        }
    }


}
