package com.jiaoyinbrother.monkeyking.manager.mvpactivity.order.refundcar.fragment.contract

import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.BillApplyRequest
import com.jiaoyinbrother.library.bean.OrderDetailResult
import com.jiaoyinbrother.library.view.IBaseView

interface IRefundContractModel {

    interface View : IBaseView {
        fun setTimeLine(type: Int, index: Int)
        fun setErrorPager(b: Boolean)
        fun setContractState(state: String, type: Int)
        fun setContractPaper()
        fun setActivityFinish()
    }

    interface Presenter : IBasePresenter {

        fun getOrderInfo(result: OrderDetailResult)
        fun initPreContract()
        fun getApplyRequest(request: BillApplyRequest)
        fun doContractElectronic(mSignType : String?)
        fun apiUserDetail()
        fun apiPreContract()
        fun apiSignContract(mSignType : String?)
        fun apiOrderApply(request: BillApplyRequest)
        fun doContractSuccess()
        fun doContractSubmit()
        fun doContractSignBack()

    }
}