package com.jiaoyinbrother.monkeyking.manager.mvpactivity.order.refundcar.fragment.first

import android.content.Intent
import android.support.v4.app.Fragment
import android.text.SpannableStringBuilder
import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.OrderDetailResult
import com.jiaoyinbrother.library.view.IBaseView

interface IRefundFirstContract {

    interface View : IBaseView {
        fun setOrderNum(num: String)
        fun setOrderChannel(channel: String)
        fun setCarNum(num: String)
        fun setDepositCostForCar(name: String, num: String)
        fun setDepositStateForCar(state: String)
        fun setDepositDescForCar(desc: String)
        fun setDepositCostForIllegal(name: String, num: String)
        fun setDepositForIllegalOffline(visible: Int, state: String, click: Boolean)
        fun setDepositForIllegalScan(visible: Int, state: String, click: Boolean)
        fun setDepositForIllegalState(visible: Int, state: String)
        fun setDepositDescForIllegal(desc: String)
        fun setFreezeDepositVisibilityForCar(visible: Int)
        fun setFreezeDepositDescForCar(desc: SpannableStringBuilder)
        fun setCanNext(b: Boolean)
        fun setTimeLine(type: Int, index: Int)
    }

    interface Presenter : IBasePresenter {
        fun onOfflinePay()
        fun onScanPay(fragment: Fragment)
        fun getOrderInfo(result: OrderDetailResult)
        fun requestOrderPay()
        fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?)
        fun onPostApplyRequest(checked:Boolean)
    }

}