package com.jiaoyinbrother.monkeyking.manager.mvpactivity.order.refundcar.fragment.third

import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.BillApplyRequest
import com.jiaoyinbrother.library.bean.CalcResult
import com.jiaoyinbrother.library.bean.OrderDetailResult
import com.jiaoyinbrother.library.view.IBaseView

interface IRefundThirdContract {

    interface View : IBaseView {
        fun setCostInfo(result: OrderDetailResult)
        fun setCostCalcInfo(result: CalcResult)
        fun setCouponAmount(hide: Boolean, amount: String)
        fun setWkCoinAmount(hide: Boolean, amount: String)
        fun setOildPayAmount(hide: Boolean, amount: String)
        fun setDeductAmount(hide: Boolean, amount: String)
        fun setNextPage(b: Boolean)
        fun setTimeLine(type: Int, index: Int)
        fun setApplySuccess()

    }
    interface Presenter : IBasePresenter {
        fun onNextPage()
        fun getOrderInfo(result: OrderDetailResult)
        fun getCalcInfo(result: CalcResult)
        fun getApplyRequest(request: BillApplyRequest)
        fun requestOrderCalc()

        fun getAmount(other: String)

        fun requestBillApply()
    }
}