package com.jiaoyinbrother.monkeyking.manager.mvpactivity.price.week

import android.content.Intent
import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.PriceWeekBean
import com.jiaoyinbrother.library.view.IBaseView

class PriceWeekContract {

    interface View : IBaseView {
        fun setDateUI(startDateString: String?, endDateString: String?)

        fun setPriceUI(mondayPrice: Int?,
                       tuesdayPrice: Int?,
                       wednesdayPrice: Int?,
                       thursdayPrice: Int?,
                       fridayPrice: Int?,
                       saturdayPrice: Int?,
                       sundayPrice: Int?)
    }

    interface Presenter : IBasePresenter {
        fun getIntent(intent: Intent?)
        fun getData(monday: String?,
                    tuesday: String?,
                    wednesday: String?,
                    thursday: String?,
                    friday: String?,
                    saturday: String?,
                    sunday: String?,
                    start_time: String?,
                    end_time: String?)

        var newPriceWeekBean: PriceWeekBean
    }
}