package com.jiaoyinbrother.monkeyking.manager.mvpactivity.store.dummy

import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.SiteBean
import com.jiaoyinbrother.library.view.IBaseView

interface IVirtualStoresContract {
    interface View : IBaseView {
        fun updateStoreList()
        fun setNoDataView()
    }

    interface Presenter : IBasePresenter {
        val list: MutableList<SiteBean>

        fun apiStoreList()
    }
}