package com.jiaoyinbrother.monkeyking.manager.mvpactivity.timecashierdesk

import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.OrderPayRequest
import com.jiaoyinbrother.library.bean.OrderPayResult
import com.jiaoyinbrother.library.bean.RechargeRequest
import com.jiaoyinbrother.library.view.IBaseView

/**
 * Created by Administrator on 2018/8/9.
 */

interface TimeCashierDeskContract{
    interface View:IBaseView{
        fun updateTimeOrderResult(result:OrderPayResult)
        fun updateTimeDepositResult(result:OrderPayResult)
    }
    interface Presenter:IBasePresenter{
        fun postTimeDepositPay(request: RechargeRequest)
        fun postTimeOrderPay(request:OrderPayRequest)
    }
}
