package com.jiaoyinbrother.monkeyking.manager.mvpactivity.uploadcheckimage

import android.content.Intent
import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.CheckImgBean
import com.jiaoyinbrother.library.view.IBaseView

interface IUploadCheckImageContract {


    interface View : IBaseView {
        fun setCamera(path: String)
        fun setAlbum()
        fun setOilPhoto(url: String?)
        fun setReturnOilPhoto(url: String?)
        fun setFrontPhoto(url: String?)
        fun setLeftFrontPhoto(url: String?)
        fun setLeftPhoto(url: String?)
        fun setLeftBackPhoto(url: String?)
        fun setRightFrontPhoto(url: String?)
        fun setRightPhoto(url: String?)
        fun setRightBackPhoto(url: String?)
        fun setActiveSure(b: Boolean)
        fun setResultStatus4(images: ArrayList<CheckImgBean>)
        fun setResultStatus5(images: ArrayList<CheckImgBean>)
        fun setHideReturn()
        fun setHideTake()
    }

    interface Presenter : IBasePresenter {
        fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?)
        fun showBigImage(url: String)
        fun onLoadPhotos()
        fun onGetPic(index: Int)
        fun onDelPath(index: Int)
        fun getData(intent: Intent)
    }
}