package com.jiaoyinbrother.monkeyking.manager.mvpdialog.cartypesearch

import android.content.Context
import android.view.View
import android.widget.LinearLayout
import android.widget.TextView
import com.camnter.easyrecyclerview.adapter.EasyRecyclerViewAdapter
import com.camnter.easyrecyclerview.holder.EasyRecyclerViewHolder
import com.jeremyliao.livedatabus.LiveDataBus
import com.jiaoyinbrother.monkeyking.manager.R
import com.jiaoyinbrother.monkeyking.manager.mvpdialog.cartypesearch.CarTypeSearchDialog.Companion.CAR_TYPE_HOT_CHECK

class OneLineItemAdapter(private val context: Context) : EasyRecyclerViewAdapter() {
    override fun getRecycleViewItemType(position: Int): Int {
        return 0
    }

    override fun onBindRecycleViewHolder(viewHolder: EasyRecyclerViewHolder?, position: Int) {
        val name_tv = viewHolder?.findViewById<TextView>(R.id.name_tv)
        val content_textview = viewHolder?.findViewById<TextView>(R.id.content_textview)

        val contentLayout = viewHolder?.findViewById<LinearLayout>(R.id.content_ll)

        name_tv?.visibility = View.GONE

        try{
            val arrayList = list as ArrayList<String>
            val text = arrayList[position]

            content_textview?.text = text
        }catch (e:Exception){

        }

        contentLayout?.setOnClickListener{
            LiveDataBus.get().with(CAR_TYPE_HOT_CHECK).setValue(content_textview?.text)
        }
    }

    override fun getItemLayouts(): IntArray {
        return intArrayOf(R.layout.item_search)
    }

}
