package com.jiaoyinbrother.monkeyking.manager.mvpdialog.cartypesearch

import android.content.Context
import android.text.TextUtils
import android.widget.TextView
import com.amap.api.services.core.PoiItem
import com.camnter.easyrecyclerview.adapter.EasyRecyclerViewAdapter
import com.camnter.easyrecyclerview.holder.EasyRecyclerViewHolder
import com.jiaoyinbrother.library.util.LogUtil
import com.jiaoyinbrother.library.util.TextUtil
import com.jiaoyinbrother.monkeyking.manager.R
import java.lang.Exception
import java.util.ArrayList

class TwoLineItemAdapter(private val context: Context) : EasyRecyclerViewAdapter() {
    private var mKeyWord =""

    override fun getRecycleViewItemType(position: Int): Int {
        return 0
    }

    override fun getItemLayouts(): IntArray {
        return intArrayOf(R.layout.item_search)
    }

    fun setKeyword(keyword:String){
        LogUtil.e("setKeyword, keyword = $keyword")
        mKeyWord = keyword
    }

    override fun onBindRecycleViewHolder(viewHolder: EasyRecyclerViewHolder?, position: Int) {
        val name_tv = viewHolder?.findViewById<TextView>(R.id.name_tv)
        val address_rv = viewHolder?.findViewById<TextView>(R.id.content_textview)

        try{
            val arrayList = list as ArrayList<PoiItem>
            val poiItem = arrayList[position]

            name_tv?.text = poiItem.title?:""
//            val colorText = TextUtil.matchAddressKeywordAndSetColor(context, poiItem.title, mKeyWord)
//            name_tv?.text = colorText

            var address = ""
            if(!TextUtils.isEmpty(poiItem.cityName))
                address += poiItem.cityName
            if(!TextUtils.isEmpty(poiItem.adName))
                address += poiItem.adName
            if(!TextUtils.isEmpty(poiItem.snippet))
                address += poiItem.snippet

            LogUtil.e("Amap address_rv.text,address = $address")
            address_rv?.text = address

        }catch (e:Exception){

        }

    }

}