package com.jiaoyinbrother.monkeyking.manager.mvpdialog.selectobject

import android.content.Context
import android.os.Bundle
import com.jiaoyinbrother.library.base.BasePresenterImpl

class SelectAnyPresenter(context: Context, view: ISelectAnyContract.View) :
        BasePresenterImpl<ISelectAnyContract.View>(context, view), ISelectAnyContract.Presenter {

    override var mUseData = ArrayList<String>()
    override var defData: String? = null

    override fun getData(arguments: Bundle?) {
        arguments?.let {
            val title = it.getString(SelectAnyDialog.DIALOG_DEF_TITLE)
            val mData = it.getSerializable(SelectAnyDialog.DIALOG_DATA) as? ArrayList<Int>
            defData = it.getString(SelectAnyDialog.DIALOG_DEF_DATA)

            view.setTitle(title)

            // 转成ArrayList
            mUseData = getUseData(mData ?: ArrayList())
        }
    }

    private fun getUseData(data: ArrayList<Int>): ArrayList<String> {
        if (data.isEmpty())
            return ArrayList()
        val list = ArrayList<String>()
        for (i in data) {
            list.add("$i")
        }
        return list
    }
}