package com.jiaoyinbrother.monkeyking.manager.push.vivo

import android.content.Context
import android.text.TextUtils
import com.hyphenate.push.platform.vivo.EMVivoMsgReceiver
import com.jiaoyinbrother.library.util.AppCacheUtil
import com.jiaoyinbrother.library.util.LogUtil
import com.vivo.push.model.UPSNotificationMessage
import com.vivo.push.sdk.OpenClientPushMessageReceiver

class VIVOPushReceiver : EMVivoMsgReceiver() {

    override fun onNotificationMessageClicked(context: Context?, msg: UPSNotificationMessage?) {
    }

    /**
     * RegId结果返回，只有首次获取到或regId发生变化时才会回调
     */
    override fun onReceiveRegId(context: Context?, regId: String) {
        super.onReceiveRegId(context, regId)
        if (!TextUtils.isEmpty(regId) && context!= null){
            AppCacheUtil(context).pushRegId = regId
        }
    }

}
