package com.jiaoyinbrother.monkeyking.manager.selfcheck

import android.content.Intent
import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.view.IBaseView

interface ISelfCheckContract {


    interface View : IBaseView {
        fun setHideTakePic()
        fun setHideReturnPic()
        fun setCamera(path: String)
        fun setAlbum()
        fun setOilPhoto(url: String?)
        fun setReturnOilPhoto(url: String?)
        fun setFrontPhoto(url: String?)
        fun setLeftFrontPhoto(url: String?)
        fun setLeftPhoto(url: String?)
        fun setLeftBackPhoto(url: String?)
        fun setRightFrontPhoto(url: String?)
        fun setRightPhoto(url: String?)
        fun setRightBackPhoto(url: String?)
        fun setActiveSure(b: Boolean)
        fun setAlertTip()
        fun setPageClose()
    }

    interface Presenter : IBasePresenter {
        fun getData(intent: Intent)
        fun showBigImage(url: String)
        fun onGetPic(index: Int)
        fun onDelPath(index: Int)
        fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?)
        fun onLoadPhotos()
        fun apiUploadPics()
    }
}