package com.jiaoyinbrother.monkeyking.manager.view

import android.content.Context
import android.util.AttributeSet
import android.view.View
import android.widget.FrameLayout
import com.jiaoyinbrother.monkeyking.manager.R
import com.jiaoyinbrother.monkeyking.manager.adapter.TipsAdapter
import kotlinx.android.synthetic.main.view_tips_layout.view.*

class TipsLayout @JvmOverloads constructor(context: Context, attrs: AttributeSet? = null, defStyleAttr: Int = 0)
    : FrameLayout(context, attrs, defStyleAttr)  {

private var mAdapter: TipsAdapter? = null

    init {
        init(context,attrs)
    }

    private fun init(context: Context, attrs: AttributeSet?) {
        View.inflate(context, R.layout.view_tips_layout,this)
        initView()
    }

    private fun initView() {
        mAdapter = TipsAdapter(context)
        rv_content?.adapter = mAdapter
    }


    fun setData(title:String, contents:ArrayList<String>){

        tv_title.text = title

        mAdapter?.list = contents
        mAdapter?.notifyDataSetChanged()
    }

}