package com.jiaoyinbrother.monkeyking.manager.adapter

import android.support.v7.widget.GridLayoutManager
import android.support.v7.widget.RecyclerView
import android.widget.TextView
import com.camnter.easyrecyclerview.adapter.EasyRecyclerViewAdapter
import com.camnter.easyrecyclerview.holder.EasyRecyclerViewHolder
import com.camnter.easyrecyclerview.widget.EasyRecyclerView
import com.jiaoyinbrother.library.bean.CustomServiceBean
import com.jiaoyinbrother.library.bean.CustomServiceItemBean
import com.jiaoyinbrother.monkeyking.manager.R

class CustomServiceAdapter : EasyRecyclerViewAdapter() {

    override fun getRecycleViewItemType(position: Int): Int {
        return 0
    }

    override fun onBindRecycleViewHolder(viewHolder: EasyRecyclerViewHolder?, position: Int) {
        viewHolder?.let { holder ->
            val tvTabName = holder.findViewById<TextView>(R.id.tv_tab_name)
            val rvItem = holder.findViewById<EasyRecyclerView>(R.id.rv_item)
            val bean = list[position] as CustomServiceBean?
            tvTabName?.text = bean?.name?:""
            val adapter = CustomServiceChildAdapter()
            adapter.list = bean?.list?: emptyList<CustomServiceItemBean>()
            adapter.setOnItemClickListener { _, p -> listener?.invoke(bean?.list?.get(p), position, p) }
            rvItem.layoutManager = GridLayoutManager(rvItem.context, 4)
            rvItem.adapter = adapter
        }
    }

    override fun getItemLayouts(): IntArray {
        return intArrayOf(R.layout.item_custom_service)
    }

    var listener: ((CustomServiceItemBean?, groupPosition: Int, childPosition: Int) -> Unit)? = null
}