package com.jiaoyinbrother.monkeyking.manager.adapter

import android.support.v7.widget.RecyclerView
import android.view.LayoutInflater
import android.view.ViewGroup
import android.widget.ImageView
import android.widget.TextView
import com.bumptech.glide.Glide
import com.camnter.easyrecyclerview.adapter.EasyRecyclerViewAdapter
import com.camnter.easyrecyclerview.holder.EasyRecyclerViewHolder
import com.jiaoyinbrother.library.bean.CustomServiceItemBean
import com.jiaoyinbrother.monkeyking.manager.R

class CustomServiceChildAdapter : EasyRecyclerViewAdapter() {
    override fun getItemLayouts(): IntArray {
        return intArrayOf(R.layout.item_custom_service_child)
    }

    override fun getRecycleViewItemType(position: Int): Int {
        return 0
    }

    override fun onBindRecycleViewHolder(viewHolder: EasyRecyclerViewHolder?, position: Int) {
        viewHolder?.let {
            val tvName = viewHolder.findViewById<TextView>(R.id.tv_name)
            val ivIcon = viewHolder.findViewById<ImageView>(R.id.iv_icon)
            (list.get(position) as? CustomServiceItemBean)?.let { bean ->
                tvName?.text = bean.name
                val context = viewHolder.itemView.context
                Glide.with(ivIcon)
                        .load(context.resources.getIdentifier(bean.icon,"mipmap",context.packageName))
                        .into(ivIcon)
            }
        }
    }

}