package com.jiaoyinbrother.monkeyking.manager.adapter

import android.content.Context
import android.support.v4.content.ContextCompat
import android.view.View
import android.widget.TextView
import com.camnter.easyrecyclerview.adapter.EasyRecyclerViewAdapter
import com.camnter.easyrecyclerview.holder.EasyRecyclerViewHolder
import com.jiaoyinbrother.library.bean.MainListItemBean
import com.jiaoyinbrother.library.util.LogUtil
import com.jiaoyinbrother.monkeyking.manager.R

class MainFragmentOrderStatusAdapter(private val context: Context) : EasyRecyclerViewAdapter(){
    override fun getRecycleViewItemType(position: Int): Int {
        return 0
    }

    override fun onBindRecycleViewHolder(viewHolder: EasyRecyclerViewHolder?, position: Int) {
        LogUtil.e("onBindRecycleViewHolder, position =$position")
        val  title_textview = viewHolder?.findViewById<TextView>(R.id.title_textview)
        val content_textview = viewHolder?.findViewById<TextView>(R.id.content_textview)
        val hint_tv = viewHolder?.findViewById<TextView>(R.id.hint_tv)

        val itemData = list[position] as MainListItemBean
        title_textview?.text = itemData.title
        content_textview?.text = itemData.number.toString()
        if(itemData.number>0){
            content_textview?.setTextColor(ContextCompat.getColor(context, R.color.color_6))

            if (itemData.title == "待处理差评"){
                hint_tv?.visibility = View.VISIBLE
            }else{
                hint_tv?.visibility = View.GONE
            }
        }else{
            content_textview?.setTextColor(ContextCompat.getColor(context, R.color.color_333333))
            hint_tv?.visibility = View.GONE
        }

    }

    override fun getItemLayouts(): IntArray {
        return intArrayOf(R.layout.fragment_main_order_list_item)
    }

}
