package com.jiaoyinbrother.monkeyking.manager.adapter

import android.content.Context
import android.support.v4.content.ContextCompat
import android.widget.RelativeLayout
import android.widget.TextView
import com.camnter.easyrecyclerview.adapter.EasyRecyclerViewAdapter
import com.camnter.easyrecyclerview.holder.EasyRecyclerViewHolder
import com.jiaoyinbrother.monkeyking.manager.R
import com.jiaoyinbrother.library.bean.TimeCancelOrderBean

/**
 * Created by Administrator on 2018/7/26.
 */

class TimeCancelOrderAdapter(private val context: Context) : EasyRecyclerViewAdapter() {
    override fun getRecycleViewItemType(position: Int): Int {
        return 0;
    }

    override fun onBindRecycleViewHolder(viewHolder: EasyRecyclerViewHolder?, position: Int) {

        val content = viewHolder?.findViewById<TextView>(R.id.content)
        val relativeLayout = viewHolder?.findViewById<RelativeLayout>(R.id.relative_time_cancel_order)
        var value = list[position] as TimeCancelOrderBean
        content?.text = value.content
        if (value.isSelected) {
            content?.setTextColor(ContextCompat.getColor(context, R.color.color_6))
            relativeLayout?.setBackgroundResource(com.jiaoyinbrother.library.R.drawable.bg_red_stroke_white_solid_3dp)
        } else {
            content?.setTextColor(R.color.color_12)
            relativeLayout?.setBackgroundResource(com.jiaoyinbrother.library.R.drawable.bg_grey_stroke_white_solid_3dp)
        }

    }

    override fun getItemLayouts(): IntArray {
        return intArrayOf(R.layout.item_time_cancel_order)
    }

}
