package com.jiaoyinbrother.monkeyking.manager.fragment.mainordermanager

import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.MainListItemBean
import com.jiaoyinbrother.library.bean.ManagerGetTaskResult
import com.jiaoyinbrother.library.view.IBaseView

class IMainOrderManagerContract {

    interface View : IBaseView {
        fun setManagerTaskNum(result: ManagerGetTaskResult)

        fun setCommentDialog(notice: String)
        fun setOrderTaskList(list:List<MainListItemBean>)
        fun setWorkFlowTaskList(list:List<MainListItemBean>)
    }

    interface Presenter : IBasePresenter {
        fun requestGetManagerTask()
        fun requestComment()

        fun onOrderListItemClicked(position:Int)
        fun onWorkListItemClicked(position:Int)

    }

}
