package com.jiaoyinbrother.monkeyking.manager.mvpactivity.bigimg

import android.support.v4.view.ViewPager
import com.jiaoyinbrother.library.base.BaseActivity
import com.jiaoyinbrother.monkeyking.manager.R
import kotlinx.android.synthetic.main.activity_big_image.*

class BigImageActivity : BaseActivity() {
    override fun initListeners() {}

    override fun initToolBar() {}

    override fun initData() {}

    override fun getLayoutId(): Int {
        return R.layout.activity_big_image
    }

    override fun initView() {
        val index = intent?.getIntExtra("index", 0) ?: 0
        val list = intent?.getStringArrayListExtra("list") ?: emptyList<String>()
        tv_page_index.text = (index + 1).toString() + "/" + list.size // index 是从0开始的所以+1

        val mAdapter = MyImageAdapter(list, this)
        mAdapter.setListener(object : MyImageAdapter.BigImageListener {
            override fun onDismiss() {
                finish()
            }
        })
        show_big_image_pager.adapter = mAdapter
        show_big_image_pager.currentItem = index
        show_big_image_pager.addOnPageChangeListener(object : ViewPager.OnPageChangeListener {
            override fun onPageScrolled(i: Int, v: Float, i1: Int) {}
            override fun onPageScrollStateChanged(i: Int) {}
            override fun onPageSelected(i: Int) {
                val str = (i + 1).toString() + "/" + list.size
                tv_page_index.text = str
            }
        })
    }

}
