package com.jiaoyinbrother.monkeyking.manager.mvpactivity.chat

import com.alibaba.android.arouter.facade.annotation.Route
import com.jiaoyinbrother.monkeyking.manager.R
import com.jiaoyinbrother.monkeyking.manager.mvpactivity.MvpBaseActivity

@Route(path = "/em/chat")
class ChatActivity : MvpBaseActivity<ChatPresenter>(),ChatContract.View {

    private var mChatFragment: ChatFragment? = null

    override fun initPresenter(): ChatPresenter {
        return ChatPresenter(this,this)
    }

    override fun getLayoutId(): Int {
        return R.layout.activity_chat
    }

    override fun initToolBar() {
    }


    override fun initView() {
        mChatFragment = ChatFragment()
        supportFragmentManager?.beginTransaction()?.add(R.id.container, mChatFragment!!)?.commit()
    }

    override fun initData() {
    }

    override fun initListeners() {
    }


    override fun onChatMenu(value: List<String>?) {
    }


    override fun onBackPressed() {
        mChatFragment?.onBackPressed()
        super.onBackPressed()
    }
}
