package com.jiaoyinbrother.monkeyking.manager.mvpactivity.choosesite

import android.widget.CheckBox
import android.widget.TextView
import com.camnter.easyrecyclerview.adapter.EasyRecyclerViewAdapter
import com.camnter.easyrecyclerview.holder.EasyRecyclerViewHolder
import com.jeremyliao.livedatabus.LiveDataBus
import com.jiaoyinbrother.library.bean.ChooseSiteBean
import com.jiaoyinbrother.monkeyking.manager.R
import com.jiaoyinbrother.monkeyking.manager.mvpactivity.choosesite.ChooseSiteActivity.Companion.SITE_CHECK_BEAN_INFO
import com.jiaoyinbrother.monkeyking.manager.mvpactivity.choosesite.ChooseSiteActivity.Companion.SITE_CHECK_POSITION

class ChooseSiteAdapter : EasyRecyclerViewAdapter() {
    override fun getRecycleViewItemType(position: Int): Int {
        return 0
    }

    override fun onBindRecycleViewHolder(viewHolder: EasyRecyclerViewHolder?, position: Int) {
        val mContentView = viewHolder?.findViewById<CheckBox>(R.id.item_choose_site_title)

        val bean = list[position] as ChooseSiteBean

        mContentView?.text = bean.site_name

        mContentView?.isChecked = bean.isCheck

        mContentView?.setOnClickListener {

            val checkList = list as ArrayList<ChooseSiteBean>

            for (item in checkList.indices) {

                checkList[item].isCheck = item == position

            }

            notifyDataSetChanged()

            LiveDataBus.get().with(SITE_CHECK_POSITION).setValue(position)

            LiveDataBus.get().with(SITE_CHECK_BEAN_INFO).setValue(bean)

        }

    }

    override fun getItemLayouts(): IntArray {
        return intArrayOf(R.layout.item_choose_site)
    }
}