package com.jiaoyinbrother.monkeyking.mvpactivity.commentlist

import com.jiaoyinbrother.monkeyking.manager.mvpactivity.commentlist.CommentListActivity
import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.ChooseSiteBean
import com.jiaoyinbrother.library.bean.CommentTypeCheckBean
import com.jiaoyinbrother.library.bean.MarksBean
import com.jiaoyinbrother.library.view.IBaseView
import java.util.*

interface ICommentListContract {
    interface ICommentListView : IBaseView {

        fun setRefreshEnd()
        fun setCommentData(comments: ArrayList<MarksBean>)
        fun setNoDataView(show: Boolean, state: Int)
        fun setCommentNoMore()
        fun setTitleData(list: ArrayList<CommentTypeCheckBean>,replyTypes: ArrayList<CommentTypeCheckBean>)
        fun setDefaultCheck(position : Int)
        fun setDefaultCheckBean(mCheckBean : ChooseSiteBean)
        fun setTopChooseSiteLayoutVisible(isShow : Boolean)
    }

    interface ICommentListPresenter : IBasePresenter {
        fun getCommentList(isRefresh: Boolean)
        fun getCommentListTyple(type: String?)
        fun getCommentListHasReply(has : Int?)
        fun initLiveBus(activity: CommentListActivity)
        fun setGroupId(id : String?)
        fun setSiteId(id : String?)
    }
}