package com.jiaoyinbrother.monkeyking.manager.mvpactivity.commentlist

import android.content.Context
import android.content.Intent
import android.view.WindowManager
import android.widget.ImageView
import android.widget.RelativeLayout
import com.bumptech.glide.Glide
import com.camnter.easyrecyclerview.adapter.EasyRecyclerViewAdapter
import com.camnter.easyrecyclerview.holder.EasyRecyclerViewHolder
import com.jiaoyinbrother.library.util.Util
import com.jiaoyinbrother.monkeyking.manager.R
import com.jiaoyinbrother.monkeyking.manager.mvpactivity.bigimg.BigImageActivity
import java.util.*

class NineImageAdapter(val context: Context) : EasyRecyclerViewAdapter() {
    override fun getRecycleViewItemType(position: Int): Int {
        return 0
    }

    private val width: Int
    init {
        val wm = context
            .getSystemService(Context.WINDOW_SERVICE) as WindowManager
        width = (wm.defaultDisplay.width - Util.dip2px(context, 42f)) / 3
    }

    override fun onBindRecycleViewHolder(viewHolder: EasyRecyclerViewHolder?, position: Int) {
        val imageView = viewHolder?.findViewById<ImageView>(R.id.item_comment_img)

        val layoutParams = RelativeLayout.LayoutParams(width, width)
        imageView?.layoutParams = layoutParams
        Glide.with(context).load(list[position].toString()).into(imageView!!)

        imageView.setOnClickListener {
           it.context.startActivity(Intent(it.context,BigImageActivity::class.java).apply {
               putExtra("index",position)
               putStringArrayListExtra("list",list as ArrayList<String>)
           })
        }
    }

    override fun getItemLayouts(): IntArray {
        return intArrayOf(R.layout.item_comment_img_list)
    }
}