package com.jiaoyinbrother.monkeyking.manager.mvpactivity.console.manager

import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.SimpleCarBean
import com.jiaoyinbrother.library.view.IBaseView

interface ICarManagerContract {


    interface View : IBaseView {
        fun finishRefresh()
        fun finishLoadMore()
        fun finishRefreshWithNoMoreData()
        fun finishLoadMoreWithNoMoreData()
        fun showNoDataView()
        fun showListData(data: ArrayList<SimpleCarBean>)
        fun setEnableLoadMore(b: Boolean)
    }

    interface Presenter : IBasePresenter {
        fun apiCars()
        fun doGetCars(type: Int)
        fun doRefresh()
        fun doLoadMore()
    }


}