package com.jiaoyinbrother.monkeyking.manager.mvpactivity.console.price

import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.ManagerSiteBean
import com.jiaoyinbrother.library.bean.PriceCarBean
import com.jiaoyinbrother.library.view.IBaseView

interface ICarPriceManagerContract {
    interface View : IBaseView {
        fun finishRefresh()
        fun finishLoadMore()
        fun finishRefreshWithNoMoreData()
        fun finishLoadMoreWithNoMoreData()
        fun showNoDataView()
        fun showListData(data: List<PriceCarBean>)
        fun setEnableLoadMore(b: Boolean)
        fun updateSite(name: String?)
        fun showAllNoDataView()
    }

    interface Presenter : IBasePresenter {
        fun apiCars()
        fun apiSites()
        fun doSetSite(managerSiteBean: ManagerSiteBean)
        fun doRefresh()
        fun doLoadMore()
        fun showSiteDialog()
    }
}