package com.jiaoyinbrother.monkeyking.manager.mvpactivity.dataanalysis.car

import android.support.v4.app.FragmentManager
import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.OrderStatsBean
import com.jiaoyinbrother.library.bean.OrderStatsRequest
import com.jiaoyinbrother.library.view.IBaseView
import org.json.JSONArray

class ICarDataAnalysisContract {

    interface View : IBaseView {
        fun setCarStockData(data: String?)
        fun setCarSalesData(data: String?)
        fun setDate(date: String)
    }

    interface Presenter : IBasePresenter {
        var site_id: String?
        var data_type:String?

        fun initData()
        fun setDataType(type: String)
        fun datetimeDialog(fragmentManager: FragmentManager)
        fun onLoadECarStockCharts()
        fun onLoadECarSalesCharts()
        fun refreshData()
    }
}