package com.jiaoyinbrother.monkeyking.manager.mvpactivity.dataanalysis.detail

import android.content.Intent
import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.OrderStatsBean
import com.jiaoyinbrother.library.view.IBaseView

interface IDetailContract {


    interface View : IBaseView {
        fun setToolbarInfo(title: String)
        fun setModifyData(data: String)
        fun setTabData(data: ArrayList<OrderStatsBean>?, type: OrderStatsBean?)
        fun setAnalysisData(data:String)
    }


    interface Presenter : IBasePresenter {
        fun initData(intent: Intent)
        fun setDayType(day: Int)
        fun setTabItem(entity: OrderStatsBean)
        fun onRefreshChart()
    }
}