package com.jiaoyinbrother.monkeyking.manager.mvpactivity.dataanalysis.dialog

import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.view.IBaseView


interface IDataCenterPickerContract {

    interface View : IBaseView {
        fun showDay(yearList: List<String>,
                    dayList: List<String>,
                    yearPosition: Int,
                    dayPosition: Int)

        fun updateDay(list: List<String>, position: Int)
        fun showWeek(list: List<String>, position: Int)
        fun showMonth(list: List<String>, position: Int)

    }

    interface Presenter : IBasePresenter {
        fun updateData(type: String, startTime: Long, endTime: Long, tag:Int)
        fun updateDay(data: String?)
        fun callBack(listener: DataCenterPickerDialog.DialogListener?, yearSelectPosition: Int, daySelectPosition: Int)
    }
}
