package com.jiaoyinbrother.monkeyking.manager.mvpactivity.dataanalysis.sales

import android.content.Intent
import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.OrderStatsBean
import com.jiaoyinbrother.library.view.IBaseView

interface ISalesContract {


    interface View : IBaseView {
        fun setSalesRefreshDate(date:String)
        fun setCarSalesData(data: ArrayList<OrderStatsBean>)
    }


    interface Presenter : IBasePresenter {
        var site_id: String?
        var type :String?
        var day: Int?
        var data:ArrayList<OrderStatsBean>

        fun initData(intent: Intent)
        fun setDayType(day: Int)
    }
}