package com.jiaoyinbrother.monkeyking.manager.mvpactivity.dropinthecar


import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.LocationBean
import com.jiaoyinbrother.library.view.IBaseView

interface IDropInTheCarContract {

    interface view : IBaseView {

        fun setResult()
        fun setTitleName(title: String)
        fun setButtonName(name: String)
        fun setDialogMsg(msg: String, positive: String, negative: String, orderId: String, onsiteOperation: String)
        fun setPickUpTime(time: String)
        fun setDeliveryAddress(address: String)
        fun setPickUpTheCar(refund:String)
        fun setCarModel(model: String)
        fun setNumberPlate(num: String)
        fun setPhoneInfo(name: String, phone: String)
        fun setLocation(location: LocationBean, siteName: String)
        fun setViewFinish()
        fun setAddressTitle(title:String)

    }

    interface presenter : IBasePresenter {
        fun onsiteOperation(orderId: String, onsiteOperation: String)
        fun confirmedDelivery()
        fun onRenterPhone()
    }
}
