package com.jiaoyinbrother.monkeyking.manager.mvpactivity.message

import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.ImInfoBean
import com.jiaoyinbrother.library.bean.UnreadMessagesBean
import com.jiaoyinbrother.library.view.IBaseView
import java.util.ArrayList

interface MessageContract {

    interface View: IBaseView{
        fun onImInfos(ims: List<ImInfoBean>?)
        fun onMsgUnread(unread_messages: ArrayList<UnreadMessagesBean>?)
    }

    interface Presenter: IBasePresenter{
        fun requestImInfos(imUserList: List<String>?)
        fun requestMsgUnread()
    }
}