package com.jiaoyinbrother.monkeyking.manager.mvpactivity.notrent

import android.content.Intent
import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.UnavailableBean
import com.jiaoyinbrother.library.view.IBaseView
import com.monkey.datetimelibrary.entity.NoRentMonthEntity
import java.util.*

interface INotRentContract {

    interface View : IBaseView {
        fun setNoRentDate(data: ArrayList<UnavailableBean>)
        fun setActiveSave(active: Boolean)
        fun setNoRentReason(code: Int, sd: Date, ed: Date?)
        fun setNoRentCancel()
        fun setNoRentSuccess()
    }

    interface Presenter : IBasePresenter {
        fun getData(intent: Intent)
        fun showReason(sd: Date, ed: Date?)
        fun requestNoRent()
        fun requestUpdateNoRent(monthList: ArrayList<NoRentMonthEntity>)
    }

}