package com.jiaoyinbrother.monkeyking.manager.mvpactivity.order.delivercar.fragments.contract

import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.OrderDetailResult
import com.jiaoyinbrother.library.bean.OrderExecuteRequest
import com.jiaoyinbrother.library.view.IBaseView

interface IDeliverCarContractModel {

    interface View : IBaseView {
        fun setTimeLine(type: Int, index: Int)
        fun setContractState(state: String, type: Int)
        fun setErrorPager(b: Boolean)
        fun setSchoolContractPaper()
        fun setNormalContractPaper()
        fun setSchoolBack()
        fun setNormalBack()
        fun setActivityFinish()
    }

    interface Presenter : IBasePresenter {
        fun getOrderInfo(result: OrderDetailResult)
        fun initPreContract()
        fun getOrderExecuteRequest(request: OrderExecuteRequest)
        fun onBackPressedSupport()
        fun doContractElectronic(mSignType : String?)
        fun apiUserDetail()
        fun apiPreContract()
        fun apiSignContract(mSignType : String?)
        fun doContractSuccess()
        fun doContractSubmit()
        fun doContractSignBack()
    }
}
