package com.jiaoyinbrother.monkeyking.manager.mvpactivity.order.operatingdata

import android.content.Intent
import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.OperatingDataBean
import com.jiaoyinbrother.library.view.IBaseView

interface IOperatingDataContract {


    interface View: IBaseView {
        fun setOperatingData(data:ArrayList<OperatingDataBean>)
        fun finishRefreshWithNoMoreData()
        fun finishLoadMoreWithNoMoreData()
        fun finishRefresh()
        fun finishLoadMore()
        fun setEnableLoadMore(b: Boolean)
        fun showNoDataView()
        fun showNetErrView(b: Boolean)
    }

    interface Presenter: IBasePresenter {
        fun getData(intent: Intent)
        fun onRefresh()
        fun onLoadMore()
        fun apiOperatingData()
    }
}