package com.jiaoyinbrother.monkeyking.manager.mvpactivity.order.refundcar.adapter

import android.content.Context
import android.widget.ImageView
import android.widget.TextView
import com.bumptech.glide.Glide
import com.camnter.easyrecyclerview.adapter.EasyRecyclerViewAdapter
import com.camnter.easyrecyclerview.holder.EasyRecyclerViewHolder
import com.jiaoyinbrother.monkeyking.manager.R
import com.jiaoyinbrother.library.bean.CarValidatesBean

class IssuesAdapter(val context: Context) : EasyRecyclerViewAdapter() {


    override fun getItemLayouts(): IntArray {
        return intArrayOf(R.layout.item_car_issue)
    }

    override fun getRecycleViewItemType(position: Int): Int {
        return 0
    }

    override fun onBindRecycleViewHolder(viewHolder: EasyRecyclerViewHolder?, position: Int) {
        val validate = list[position] as CarValidatesBean

        val part = viewHolder?.findViewById<TextView>(R.id.part)
        part?.text = validate.position_name

        val cause = viewHolder?.findViewById<TextView>(R.id.cause)
        cause?.text = validate.type_name

        val photo = viewHolder?.findViewById<ImageView>(R.id.photo)
        if (photo != null) {
            Glide.with(context).load(validate.image).into(photo)
        }
    }

}