package com.jiaoyinbrother.monkeyking.manager.mvpactivity.order.search

import android.os.Bundle
import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.OrdersBean
import com.jiaoyinbrother.library.view.IBaseView

interface IOrderSearchContract {

    interface View : IBaseView {
        fun finishRefreshWithNoMoreData()
        fun finishLoadMoreWithNoMoreData()
        fun finishRefresh()
        fun finishLoadMore()
        fun setEnableLoadMore(b: Boolean)
        fun showNoDataView()
        fun showNetErrView(b: Boolean)
        fun setOrdersData(data: ArrayList<OrdersBean>)
        fun onOrderInfo(orderId:String)


        fun getSearchInfo():String
    }

    interface Presenter : IBasePresenter {
        fun onRefresh()
        fun onLoadMore()
        fun onSearch()
        fun getInfo(type: String? = null, order: OrdersBean? = null)
    }
}