package com.jiaoyinbrother.monkeyking.mvpactivity.ordercontract

import android.content.Intent
import android.opengl.Visibility
import android.view.View
import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.ContractItemBean
import com.jiaoyinbrother.library.view.IBaseView

interface IOrderContract {

    interface IOrderContractView : IBaseView {

        fun onSendEmailSuccess()

        fun onGetEmailListSuccess(list : ArrayList<ContractItemBean>?)

    }

    interface IOrderContractPresenter : IBasePresenter{
        fun initData(intent: Intent)

        fun sendRentEmail(email : String?)

        fun sendEvidenceEmail(email : String?)

        fun sendEmail(email: String,type : String)

        fun getEmailList()
    }
}