package com.jiaoyinbrother.monkeyking.manager.mvpactivity.price

import android.content.Intent
import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.PriceDetailResult
import com.jiaoyinbrother.library.view.IBaseView

interface IPriceSetContract {

    interface View : IBaseView {
        fun setPriceInfo(result: PriceDetailResult)
        fun setSwitchTab(switch: Boolean)
        fun setResultWorkFlow()
    }

    interface Presenter : IBasePresenter {
        fun getData(intent: Intent)
        fun requestPrice()
    }

}