package com.jiaoyinbrother.monkeyking.manager.mvpactivity.price.worry

import android.content.Context
import android.content.Intent
import com.jiaoyinbrother.library.base.BasePresenterImpl
import com.jiaoyinbrother.library.bean.OtherBean

class PriceWorryPresenter(context: Context, view: IPriceWorryContract.View) : BasePresenterImpl<IPriceWorryContract.View>(context, view),
        IPriceWorryContract.Presenter {
    override var list: ArrayList<OtherBean>? = ArrayList<OtherBean>()

    override fun getData(intent: Intent?) {
        list?.clear()
        val elements = ((intent?.getSerializableExtra(PriceWorryActivity.WORRY_PRICE_LIST_KEY) as? ArrayList<OtherBean>)
                ?: ArrayList<OtherBean>())
        for (element in elements) {
            val newBean = OtherBean()
            newBean.start_time = element.start_time
            newBean.end_time = element.end_time
            newBean.day = element.day
            newBean.abnormal = element.abnormal
            list?.add(newBean)
        }
        view.updateList()
    }
}