package com.jiaoyinbrother.monkeyking.manager.mvpactivity.relet

import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.CalcDifferenceBean
import com.jiaoyinbrother.library.bean.OrderDetailResult
import com.jiaoyinbrother.library.view.IBaseView

interface ReletContract {

    interface View : IBaseView {
        fun onDifference(diff: CalcDifferenceBean?)
        fun onReletSuccess()
//        fun onStartPay()
    }

    interface Presenter : IBasePresenter {
        fun requestOrderCalc(orderId: String?, endTime: String?)
        fun requestOrderModify(orderId: String?, endTime: String?)
//        fun requestOrderDetail(orderID: String?)
        fun getData(order: OrderDetailResult?)
    }
}