package com.jiaoyinbrother.monkeyking.manager.mvpactivity.setting

import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.AndroidBean
import com.jiaoyinbrother.library.view.IBaseView

interface ISettingContract {

    interface View : IBaseView {
        fun setCacheSize(size: String)
        fun setVersionName(name: String)
        fun setVersionUpdateDialog(android: AndroidBean)
        fun setVersionNoDataDialog()
        fun setLogoutSuccess()
        fun setDownloadCompleted()
        fun setUpdateProgress(progress:Int)
    }

    interface Presenter : IBasePresenter {
        fun getData()
        fun requestVersion()
    }
}