package com.jiaoyinbrother.monkeyking.manager.mvpactivity.systemnotification

import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.BaseResult
import com.jiaoyinbrother.library.bean.BulletinsResult
import com.jiaoyinbrother.library.view.IBaseView

/**
 * Created by Sgq
 * Create Date 2019/4/19 and 11:52
 * desc: 系统公告
 */
interface SysNotiffcationContract {

    interface view : IBaseView {
        fun onSuccessMessageList(result : BulletinsResult?)
        fun onFailedMessageList()
        fun onSuccessMessageStatus(result: BaseResult?)
        fun onAllReadRefresh()
    }

    interface presenter : IBasePresenter {
        fun getSysTipList(page: Int)
    }
}