package com.jiaoyinbrother.monkeyking.manager.mvpdialog.cartypesearch

import android.support.constraint.ConstraintLayout
import android.widget.TextView
import com.camnter.easyrecyclerview.adapter.EasyRecyclerViewAdapter
import com.camnter.easyrecyclerview.holder.EasyRecyclerViewHolder
import com.jeremyliao.livedatabus.LiveDataBus
import com.jiaoyinbrother.library.bean.CarTypeSearchRowsBean
import com.jiaoyinbrother.monkeyking.manager.R
import com.jiaoyinbrother.monkeyking.manager.mvpdialog.cartypesearch.CarTypeSearchDialog.Companion.CAR_TYPE_SEARCH_CHECK

class CarTypeSearchAdapter : EasyRecyclerViewAdapter() {

    override fun getRecycleViewItemType(position: Int): Int {
        return 0
    }

    override fun onBindRecycleViewHolder(viewHolder: EasyRecyclerViewHolder?, position: Int) {

        val mCarTypeName = viewHolder?.findViewById<TextView>(R.id.item_car_type_name)
        val mCarTypeInfo = viewHolder?.findViewById<TextView>(R.id.item_car_type_info)
        val mCarTypeLayout = viewHolder?.findViewById<ConstraintLayout>(R.id.item_car_type_layout)

        val bean = list[position] as CarTypeSearchRowsBean

        mCarTypeName?.text = bean.brand_name

        mCarTypeInfo?.text = bean.name

        mCarTypeLayout?.setOnClickListener{
            LiveDataBus.get().with(CAR_TYPE_SEARCH_CHECK).setValue(bean)
        }

    }

    override fun getItemLayouts(): IntArray {
        return intArrayOf(R.layout.item_car_type_search_history)
    }
}