package com.jiaoyinbrother.monkeyking.manager.mvpdialog.cartypesearch

import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.bean.CarTypeSearchRowsBean
import com.jiaoyinbrother.library.view.IBaseView

interface ICarTypeSearchContract: IBaseView {

    interface View: IBaseView{
        fun updateHotCarTypeList(list: List<String>)
        fun updateCarTypeList(list:List<CarTypeSearchRowsBean>?)
        fun updateHistoryCarTypeList(list:List<CarTypeSearchRowsBean>)

    }
    interface Presenter: IBasePresenter {

        fun initData()
        fun onSearchClicked(keyword:String)

        fun setHistoryCarTypeList()

    }
}
