package com.jiaoyinbrother.monkeyking.manager.mvpdialog.renthistorydialog

import android.widget.TextView
import com.camnter.easyrecyclerview.adapter.EasyRecyclerViewAdapter
import com.camnter.easyrecyclerview.holder.EasyRecyclerViewHolder
import com.jiaoyinbrother.library.bean.HistoryListBean
import com.jiaoyinbrother.monkeyking.manager.R

class RentHistoryAdapter : EasyRecyclerViewAdapter() {
    override fun getRecycleViewItemType(position: Int): Int {
        return 0
    }

    override fun onBindRecycleViewHolder(viewHolder: EasyRecyclerViewHolder?, position: Int) {
        //时间
        val mTvDate = viewHolder?.findViewById<TextView>(R.id.item_rent_history_title_date)
        //地点
        val mTvCity = viewHolder?.findViewById<TextView>(R.id.item_rent_history_title_city)
        //车型
        val mTvCar = viewHolder?.findViewById<TextView>(R.id.item_rent_history_title_car)
        //短租
        val mTvTime = viewHolder?.findViewById<TextView>(R.id.item_rent_history_title_time)

        val bean = list[position] as HistoryListBean

        mTvDate?.text = bean.created_stamp
        mTvCity?.text = bean.city_name
        mTvCar?.text = bean.car_type_name
        mTvTime?.text = bean.rent_days.toString() + "天"
    }

    override fun getItemLayouts(): IntArray {
        return intArrayOf(R.layout.item_order_detail_rent_history)
    }
}