package com.jiaoyinbrother.monkeyking.manager.mvpdialog.selectdate

import android.os.Bundle
import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.view.IBaseView

interface ISelectDateContract : IBaseView {

    interface View : IBaseView {
        fun setTitle(title: String)

        fun setYearView(yearList: List<String>)
        fun setDayView(dayList: List<String>)

        fun getYearIndex(): Int
        fun setYearIndex(index: Int)

        fun getDayIndex(): Int
        fun setDayIndex(index: Int)

        fun setDateTabView(isStart: Boolean)
        fun viewDismiss()
        fun setStartAndEndDate(start: String, end: String)
    }

    interface Presenter : IBasePresenter {

        fun initData(arguments: Bundle, onResultListener: SelectDateMVPDialog.OnResultListener)
        fun onLoopEnd()
        fun onConfirm()
        fun onTabClicked(tab: Int)
    }
}
