package com.jiaoyinbrother.monkeyking.mvpdialog.selectdatetime

import android.os.Bundle
import com.jiaoyinbrother.library.base.IBasePresenter
import com.jiaoyinbrother.library.view.IBaseView
import java.util.*

interface ISelectDateTimeContract: IBaseView {

    interface View: IBaseView {
        fun setTitle(title:String)

        fun setDayView(dayList:List<String>)
        fun setHourView(hourList:List<String>)
        fun setMinuteView(minuteList:List<String>)

        fun getDateIndex():Int
        fun setDateIndex(index:Int)

        fun getHourIndex():Int
        fun setHourIndex(index:Int)

        fun getMinuteIndex():Int
        fun setMinuteIndex(index:Int)

        fun setDateTabVisibility(visibility:Int)
        fun setDateTabView(isStart: Boolean)
        fun setStartDateTabText(title:String)
        fun setEndDateTabText(title:String)

        fun viewDismiss()
    }
    interface Presenter: IBasePresenter {

        fun initData(arguments:Bundle, onResultListener: SelectDateTimeMVPDialog.OnResultListener)
        fun onLoopEnd()
        fun onConfirm()
        fun onStartTimeTabClicked()
        fun onEndTimeTabClicked()


    }
}
